Subject: debugging git clone via git-daemon "cannot handle daemon internally"

From: John Griessen <[email-masked]>
Date: Tue, 04 Jan 2011 10:50:55 -0600

I have a server running debian  git-core, gitosis,  git version 1.7.2.3 and local git version 1.7.2.3.

I've uninstalled git-daemon-run from the server for testing simplicity.

The server is running this:
sudo /usr/lib/git-core/git-daemon --verbose --strict-paths --user=git --group=gitosis /srv/gitosis/repositories  &>git-daemon-err.log

when I try  cloning from my local machine I get these results:

john@toolbench:~/EEProjects/test$ git clone git://mail.cibolo.us/gitosis-admin.git
Cloning into gitosis-admin...
fatal: protocol error: bad line length character: fata

john@toolbench:~/EEProjects/test$ telnet mail.cibolo.us 9418
Trying 76.191.252.85...
Connected to mail.cibolo.us.
Escape character is '^]'.
fatal: cannot handle daemon internally
Connection closed by foreign host.

What does "cannot handle daemon internally" signify to you all?
The part where telnet connects is saying the firewall is open at 9418, so that's good.

What do you think about debian's package of gitosis?  It is working to push,
and clone with this command:
git clone [email-masked]:gitosis-admin.git
but not these:

john@toolbench:~/EEProjects/test$ git clone git://mail.cibolo.us/gitosis-admin.git
Cloning into gitosis-admin...
fatal: protocol error: bad line length character: fata
john@toolbench:~/EEProjects/test$ git clone git://mail.cibolo.us/srv/gitosis/repositories/gitosis-admin.git
Cloning into gitosis-admin...
fatal: protocol error: bad line length character: fata

it creates a gitosis user.
Should I install gitosis from source and have a git user only?

What can I simplify to debug this?

gitweb skips this by not using port 9418, so I will be setting that up in the meantime.

thanks,

John

-- 
Ecosensory   Austin TX